Bug 236335 - device-mapper-multipath ignoring default rr_min_io
device-mapper-multipath ignoring default rr_min_io
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-13 05:14 EDT by Ian McLeod
Modified: 2010-01-11 21:37 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 18:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian McLeod 2007-04-13 05:14:50 EDT
Description of problem:

Changes to the rr_min_io value in the defaults section of multipath.conf are not
being reflected in the dm table, even after a reboot.  A value of 1000 is always
used.  


Version-Release number of selected component (if applicable):

device-mapper-multipath-0.4.7-8

How reproducible:

Always
Steps to Reproduce:
1. Change the rr_min_io value
2. Reboot
3. Run /sbin/dmsetup table
  
Actual results:

The rr_min_io value remains at 1000

Expected results:

It should match what is in the config file

Additional info:
Comment 1 Ian McLeod 2007-04-13 06:18:34 EDT
Here is our defaults section:

defaults {
udev_dir                /dev
polling_interval        10
selector                "round-robin 0"
path_grouping_policy    multibus
getuid_callout          "/sbin/scsi_id -g -u -s /block/%n"
prio_callout            /bin/true
path_checker            readsector0
rr_min_io               24
rr_weight               priorities
failback                immediate
no_path_retry           fail
user_friendly_names     yes
}

And an example of the resulting device mapper table with several discovered
multipath LUNs:

mpath2: 0 20976000 multipath 0 0 1 1 round-robin 0 2 1 8:32 1000 65:0 1000
rootvg-swapvol: 0 16777216 linear 104:2 16777600
mpath1: 0 20976000 multipath 0 0 1 1 round-robin 0 2 1 8:16 1000 8:240 1000
rootvg-rootvol: 0 4194304 linear 104:2 384
rootvg-sbclocalvol: 0 7340032 linear 104:2 4194688
mpath0: 0 20976000 multipath 0 0 1 1 round-robin 0 2 1 8:0 1000 8:224 1000
rootvg-varvol: 0 4194304 linear 104:2 12583296
rootvg-tmpvol: 0 1048576 linear 104:2 11534720
mpath7: 0 20971520 multipath 1 queue_if_no_path 1 emc 2 1 round-robin 0 1 1
8:208 1000 round-robin 0 1 1 8:128 1000
mpath6: 0 20971520 multipath 1 queue_if_no_path 1 emc 2 1 round-robin 0 1 1
8:192 1000 round-robin 0 1 1 8:112 1000
mpath5: 0 20971520 multipath 1 queue_if_no_path 1 emc 2 1 round-robin 0 1 1
8:176 1000 round-robin 0 1 1 8:96 1000
mpath4: 0 20971520 multipath 1 queue_if_no_path 1 emc 2 1 round-robin 0 1 1
8:160 1000 round-robin 0 1 1 8:80 1000
mpath3: 0 20976000 multipath 0 0 1 1 round-robin 0 2 1 8:48 1000 65:16 1000

Comment 2 Ben Marzinski 2007-06-13 11:02:50 EDT
This works fine for me. Multipath will correctly pick up changes to the
rr_min_io in the defaults, devices, and multipaths config sections of
/etc/multipath.conf for me.   Just a thought, if your multipaths are being setup
at boot time by your initrd, then after you make a change to
/etc/multipath.conf, you need to rerun
multipath, so the change is reflected in your devices, and then run mkinitrd, so
that change can be pulled into your initrd.

If you still have access to this system, try making the change to
/etc/multipath.conf, and then rerunning multipath instead of rebooting.  Does
this work? It should.
Comment 3 Ben Marzinski 2008-07-11 18:32:12 EDT
This bug has been in NEEDINFO for over a year and I couldn't reproduce it. Closing.

Note You need to log in before you can comment on or make changes to this bug.